Subject: Re: [hybi] Send quota value before receiving AddChannelResponse (was: Re: MUC: channel ID semantics)

From: Takeshi Yoshino <[email-masked]>
Date: Wed, 2 May 2012 15:22:25 +0900

FYI, one more point we need to think about is channel-wise extension
negotiation.

E.g. if AddChannelRequest has per-frame compression extension request, the
client must refrain from sending compressed frame until receiving
AddChannelResponse. We can take this workaround for per-frame compression
just because we made it frame-wise feature by introducing per-frame
compressed bit. In general, we need to disallow use of mux with
pre-response quota and channel-wise extension (if opening handshake with
which may be accepted in different ways. i.e. "connection is accepted but
the extension is rejected" and "connection is accepted with the extension
enabled") together. Or the frame sent before receiving response will be
mis-interpreted by the server.

Takeshi